[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.WndProc

The general message handler for this control.

## Declaration

Source position: controls.pp line 1524

`protected procedure TControl.WndProc(`
`var TheMessage: TLMessage`
`); virtual;`

## Arguments

`TheMessage` |  | The message to handle.

## Description

Preprocesses several messages, then calls Dispatch to invoke the applicable message handler.